CUDNN Frontend API 8.3.0

Public Member Functions | Private Attributes | List of all members
nlohmann::detail::output_string_adapter< CharType, StringType > Class Template Reference

output adapter for basic_string More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_string_adapter< CharType, StringType >:
Collaboration diagram for nlohmann::detail::output_string_adapter< CharType, StringType >:

## Public Member Functions
| output_string_adapter (StringType &s) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
Public Member Functions inherited from nlohmann::detail::output_adapter_protocol< CharType >
virtual | ~output_adapter_protocol ()=default
| output_adapter_protocol ()=default
| output_adapter_protocol (const output_adapter_protocol &)=default
| output_adapter_protocol (output_adapter_protocol &&) noexcept=default
output_adapter_protocol & | operator= (const output_adapter_protocol &)=default
output_adapter_protocol & | operator= (output_adapter_protocol &&) noexcept=default

## Private Attributes
StringType & | str

## Detailed Description

### template<typename CharType, typename StringType = std::basic_string<CharType>>
class nlohmann::detail::output_string_adapter< CharType, StringType >

output adapter for basic_string

Definition at line 13203 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ output_string_adapter()

template<typename CharType , typename StringType = std::basic_string<CharType>>

nlohmann::detail::output_string_adapter< CharType, StringType >::output_string_adapter | ( | StringType & | s | ) |
| inlineexplicitnoexcept

Definition at line 13206 of file json.hpp.

## Member Function Documentation

## ◆ write_character()

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_character | ( | CharType | c | ) |
| inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13210 of file json.hpp.

References JSON_HEDLEY_NON_NULL.

## ◆ write_characters()

template<typename CharType , typename StringType = std::basic_string<CharType>>

void nlohmann::detail::output_string_adapter< CharType, StringType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |
| inlineoverridevirtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13216 of file json.hpp.

## Member Data Documentation

## ◆ str

template<typename CharType , typename StringType = std::basic_string<CharType>>

StringType& nlohmann::detail::output_string_adapter< CharType, StringType >::str
| private

Definition at line 13222 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp